aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/system/.local/bin/transadd
diff options
context:
space:
mode:
authorCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
committerCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
commitf01e96d000a195a59a7f25cb133caa72a486007e (patch)
treee68693939b738f06e16b02c736090d8fb8adf182 /dotfiles/system/.local/bin/transadd
downloadarchsetup-f01e96d000a195a59a7f25cb133caa72a486007e.tar.gz
archsetup-f01e96d000a195a59a7f25cb133caa72a486007e.zip
fix(testing): remove obsolete --skip-slow-packages option
This flag was removed from archsetup but remained in test scripts.
Diffstat (limited to 'dotfiles/system/.local/bin/transadd')
-rwxr-xr-xdotfiles/system/.local/bin/transadd9
1 files changed, 9 insertions, 0 deletions
diff --git a/dotfiles/system/.local/bin/transadd b/dotfiles/system/.local/bin/transadd
new file mode 100755
index 0000000..a598fad
--- /dev/null
+++ b/dotfiles/system/.local/bin/transadd
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Mimeapp script for adding torrent to transmission-daemon, but will also start the daemon first if not running.
+
+# transmission-daemon sometimes fails to take remote requests in its first moments, hence the sleep.
+
+pidof transmission-daemon >/dev/null || (transmission-daemon && notify-send "Starting transmission daemon..." && sleep 3 && pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}")
+
+transmission-remote -a "$@" && notify-send "🔽 Torrent added."